<?php

namespace SweepAndGo\App\Hooks;

class JsModuleHook {

	public function handle() {
		add_filter( 'script_loader_tag', [$this, 'js_script_as_module'], 10, 3 ); // Mark main.js as module
	}


	public function js_script_as_module( $tag, $handle, $src ) {
		$data = wp_scripts()->get_data( $handle, 'type' );
		if ( $data == 'module' ) {
			return sprintf( "<script type='%s' src='%s'></script>", $data, sanitize_url( $src ) );
		}

		return $tag;
	}
}
