<?php

namespace SweepAndGo\Database;

use SweepAndGo\Database\Migrations\LocationSettingsTable;
use SweepAndGo\Database\Migrations\LocationsTable;
use SweepAndGo\Database\Migrations\LogsTable;

require_once( ABSPATH . 'wp-admin/includes/upgrade.php');

class Migrator {
	public static function run() {
		self::migrate();
	}

	public static function migrate() {
		LocationsTable::migrate();
		LocationSettingsTable::migrate();
		LogsTable::migrate();
	}
}