<?php

namespace SweepAndGo\App\Http\Controllers;

class LogsController {
	public function settings() {
		$enable = filter_var( $_REQUEST['enable'], FILTER_VALIDATE_BOOL );

		if ( is_bool( $enable ) ) {
			update_option( "sng_log_enable", $enable );
			wp_send_json_success();
		} else {
			wp_send_json_error( "Unable to turn on/off logs, please contact plugin developer!", 400 );
		}
	}
}