<?php

define( 'SNG_VERSION', '0.0.20' );
define( 'SNG_CLIENT_URL', 'https://client.sweepandgo.com' );
define( 'SNG_EMPLOYEE_URL', 'https://employee.sweepandgo.com' );
define( 'SNG_OPENAPI_URL', 'https://openapi.sweepandgo.com' );
define( 'SNG_DB_VERSION', '1.0' );
define( 'SNG_TEXT_DOMAIN', 'sweep-and-go' );
define( 'SNG_TABLE_PREFIX', 'sng_' );
define( 'SNG_UPLOAD_DIR', '/sweepandgo' );
define( 'SNG_PLUGIN_DIR_PATH', plugin_dir_path( __FILE__ ) );
define( 'SNG_PLUGIN_URL_PATH', plugin_dir_url( __FILE__ ) );

spl_autoload_register( function ( $class ) {
	$match = 'SweepAndGo';

	if ( !preg_match( "/\b{$match}\b/", $class ) ) {
		return;
	}

	$path = plugin_dir_path( __FILE__ );

	$file = str_replace(
		['SweepAndGo', '\\', '/Includes/', '/App/', '/Packages/', '/Database/'],
		['', DIRECTORY_SEPARATOR, 'includes/', 'app/', 'packages/', 'database/'],
		$class
	);

	require( trailingslashit( $path ) . trim( $file, '/' ) . '.php' );
} );

require_once SNG_PLUGIN_DIR_PATH . 'packages/vendor/woocommerce/action-scheduler/action-scheduler.php';